### Hierarchy

- unknown
  - GetXmrTxsReply

## Index

### Constructors

- constructor

### Methods

- addTxs
- clearTxsList
- getTxsList
- serializeBinary
- setTxsList
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new GetXmrTxsReply(): GetXmrTxsReply

- Inherited from jspb.Message.constructor

  #### Returns GetXmrTxsReply

## Methods

### addTxs

- addTxs(value?: XmrTx, index?: number): XmrTx

- - Defined in src/protobuf/grpc_pb.d.ts:3079

  #### Parameters

  - ##### Optional value: XmrTx

  - ##### Optional index: number

  #### Returns XmrTx

### clearTxsList

- clearTxsList(): GetXmrTxsReply

- - Defined in src/protobuf/grpc_pb.d.ts:3078

  #### Returns GetXmrTxsReply

### getTxsList

- getTxsList(): XmrTx []

- - Defined in src/protobuf/grpc_pb.d.ts:3076

  #### Returns XmrTx []

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:3081

  #### Returns Uint8Array

### setTxsList

- setTxsList(value: XmrTx []): GetXmrTxsReply

- - Defined in src/protobuf/grpc_pb.d.ts:3077

  #### Parameters

  - ##### value: XmrTx []

  #### Returns GetXmrTxsReply

### toObject

- toObject(includeInstance?: boolean): GetXmrTxsReply . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:3082

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns GetXmrTxsReply . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetXmrTxsReply

- - Defined in src/protobuf/grpc_pb.d.ts:3085

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetXmrTxsReply

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetXmrTxsReply, reader: BinaryReader): GetXmrTxsReply

- - Defined in src/protobuf/grpc_pb.d.ts:3086

  #### Parameters

  - ##### message: GetXmrTxsReply

  - ##### reader: BinaryReader

  #### Returns GetXmrTxsReply

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: GetXmrTxsReply, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:3084

  #### Parameters

  - ##### message: GetXmrTxsReply

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: GetXmrTxsReply ): GetXmrTxsReply . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:3083

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetXmrTxsReply

  #### Returns GetXmrTxsReply . AsObject

Generated using TypeDoc